*,
*::before,
*::after {
  box-sizing: border-box;
}

* {
  margin: 0;
}

/* main variables / font set up */
:root {
  --primary-text-color: #000;
  --secondary-text-color: #f00;
  --primary-bg-color: #fff;
  --primary-fg-color: #fefefe;
  --secondary-fg-color: #000;
}

@font-face {
  font-family: 'Baskerville';
  src: url('../font/LibreBaskerville-Regular.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}

/* actual css..*/
html {
  height: 100%;
  font-size: calc(14px + 0.390625vw);
}

body {
  color: var(--primary-text-color);
  background-color: var(--primary-bg-color);
  font-family: 'Baskerville', serif;
  line-height: 1.5;
  height: 100%;
}

header {
  h1 {
    font-size: 2rem;
    padding: 15px 0;

    .focus {
      text-decoration: underline var(--secondary-text-color) 3px;
    }

    a:link,
    a:active,
    a:visited {
      color: var(--primary-text-color);
    }
  }

  nav ul {
    padding-left: 0;
    border: 1px solid var(--secondary-fg-color);
    border-left: 0;
    border-right: 0;
  }

  nav li:first-child {
    padding-left: 0;
  }

  nav li {
    display: inline-block;
    padding: 5px 20px;
    font-size: 1.1rem;

    a {
      text-decoration: none;
      color: var(--primary-text-color);
      font-weight: 700;

      &:hover {
        color: var(--secondary-text-color)
      }
    }
  }
}

.content {
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 25px;
  background-color: var(--primary-fg-color);
}

.content-wrapper {
  margin-top: 20px;

  h1 {
    font-size: 1.8rem;
  }

  h2 {
    font-size: 1.6rem;
  }

  h3 {
    font-size: 1.3rem;
  }

  p,
  ul,
  ol,
  code {
    padding-bottom: 15px;
    max-width: 850px;
    font-size: 1rem;
  }

  code {
    white-space: pre-wrap;
    display: block;
    padding: 10px;
    border: 1px solid #999;
    background-color: #efefef;
  }

  p:first-child::first-letter {
    color: var(--secondary-text-color);
    font-weight: bold;
    font-size: 1.1rem;
  }

  p:first-child::first-line {
    font-weight: bold;
  }

  a {

    &:link,
    &:visited {
      color: var(--secondary-text-color);
    }

    &:hover,
    &:focus,
    &:active {
      color: var(--secondary-text-color);
    }
  }

  .summary {
    font-size: 1.1rem;
  }

  .bigger {
    font-size: 1.3rem;
  }

  input,
  button {
    font-size: 1.3rem;
    padding: 10px;
  }
}

#MainContent {
  padding-top: 15px;
  padding-bottom: 15px;
  font-size: 1rem;
}

h1.article-title {
  font-size: 1.8rem;
}

.article-title {
  margin-top: 10px;

  a {
    text-decoration: none;
    color: var(--primary-text-color)
  }
}

#Index {
  display: flex;
  flex-flow: row wrap;
  justify-content: space-between;
}

#AsideContent {
  flex-basis: auto;
  font-size: 1.2rem;

  ul {
    padding-left: 15px;
    max-width: 300px;
  }

  .article-date {
    font-style: italic;
  }
}